/* ==========================================================================
   WooCommerce Widgets styles - begin
   ========================================================================== */

.widget.woocommerce {
    clear: both;
    
    &.widget_rating_filter,
    &.widget_shopping_cart,
    &.widget_layered_nav,
    &.widget_price_filter,
    &.widget_layered_nav_filters,
    &.widget_product_categories,
    &.widget_products,
    &.widget_product_search,
    &.widget_product_tag_cloud,
    &.widget_recently_viewed_products,
    &.widget_recent_reviews,
    &.widget_top_rated_products {
        margin: 0 0 20px;
    }
    
    &.widget_rating_filter,
    &.widget_shopping_cart,
    &.widget_layered_nav,
    &.widget_layered_nav_filters,
    &.widget_product_categories,
    &.widget_products,
    &.widget_recently_viewed_products,
    &.widget_recent_reviews,
    &.widget_top_rated_products  {
        
        ul {
            padding: 0;
            margin: 0;
            list-style: none;
            
            li {
                @include mkdfRelativeHolderLayout();
                padding: 0;
                margin: 0 0 14px;
                clear: both;
                
                &:last-child {
                    margin: 0;
                }
                
                ul {
                    margin: 14px 0 0 10px;
                }
            }
        }
    }
    
    &.widget_shopping_cart {
        
        .widget_shopping_cart_content {
            @include mkdfRelativeHolderLayout();
            
            ul {
                
                li {
                    
                    img {
                        display: block;
                        max-width: 84px;
                        margin: 0 70% 13px 0;
                    }
                    
                    .remove {
                        position: absolute;
                        top: 0;
                        right: 0;
                        font-size: 0;
                        line-height: 1;
                        
                        &:after {
                            position: relative;
                            display: block;
                            padding: 0 3px;
                            font-family: 'Ionicons';
                            content: "\f404";
                            font-size: 30px;
                            line-height: 25px;
                        }
                    }
                }
            }
            
            .variation {
                @include mkdfRelativeHolderLayout();
                
                > * {
                    display: inline-block;
                    vertical-align: middle;
                    margin: 0;
                    
                    p {
                        margin: 0;
                    }
                }
            }
            
            .total {
                margin: 17px 0 13px;
            }
            
            .buttons {
                margin: 10px 0 0;
            }
        }
    }
    
    &.widget_layered_nav {
    
        .mkdf-widget-title {
            margin: 0 0 17px;
        }
        
        ul {
            
            li {
                margin: 2px 0;
                
                &.chosen {
                    
                    a {
                        color: $first-main-color;
                    }
                }
            }
        }
    }
    
    &.widget_layered_nav_filters {
        
        .mkdf-widget-title {
            margin: 0 0 17px;
        }
    }
    
    &.widget_price_filter {
        
        .price_slider_wrapper {
            
            .ui-widget-content {
                position: relative;
                height: 6px;
                background-color: #e5e5e5;
                
                .ui-slider-handle {
                    position: absolute;
                    top: -2px;
                    height: 10px;
                    width: 10px;
                    border-radius: 50%;
                    background-color: $first-main-color;
                    margin: 0 0 0 -1px;
                    cursor: pointer;
                    outline: medium none;
                    z-index: 2;
                    
                    &:last-child {
                        @include mkdfTransform(translateX(-50%));
                    }
                }
                
                .ui-slider-range {
                    position: absolute;
                    display: block;
                    height: 100%;
                    background-color: $first-main-color;
                    z-index: 1;
                }
            }
        }
        
        .price_slider_amount {
            margin: 18px 0 0;
            
            .button {
                float: right;
                padding: 0;
                color: $first-main-color;
                background-color: transparent;
                line-height: 1em;
                font-size: 12px;

                &:hover {
                    color: $first-main-color-additional;
                    background-color: transparent;
                }
            }
            
            .price_label {
                float: left;
                color: #bababa;
                font-size: 14px;
                line-height: 1em;
                font-weight: 500;
            }
        }
    }
    
    &.widget_product_categories {
        
        ul {
            
            li {
                padding: 9px 0;
                border-bottom: 1px solid #ebebeb;
                margin: 0;

                a {
                    font-size: 14px;
                    line-height: 1.93em;
                    font-weight: 600;
                    color: $default-heading-color;

                    &:hover {
                        color: $first-main-color;
                    }
                }
                
                ul {
                    margin: 0 0 0 10px;
                }
            }
        }
    }
    
    &.widget_products,
    &.widget_recently_viewed_products,
    &.widget_recent_reviews,
    &.widget_top_rated_products {
    
        .mkdf-widget-title {
            margin: 0 0 20px;
        }
        
        ul {
            
            li {
                min-height: 85px;
                
                a {
                    
                    img {
                        position: absolute;
                        top: 0;
                        left: 0;
                        width: 100%;
                        max-width: 85px;
                    }
                    
                    span {
                        position: relative;
                        display: block;
                        padding: 0 0 0 102px;
                        line-height: 20px;
                        box-sizing: border-box;
                    }
                }
                
                > *:not(a) {
                    margin: 0 0 0 102px;
                    line-height: 20px;
                }
                
                .star-rating {
                    position: relative;
                    
                    span {
                        max-width: 100px;
                    }
                }
                
                del,
                ins {
                    display: block;
                    
                    span {
                        color: inherit;
                    }
                }
                
                ins {
                    text-decoration: none;
                }
            }
        }
    }
    
    &.widget_products,
    &.widget_recently_viewed_products,
    &.widget_top_rated_products {
        
        ul {
            
            li {

                a {
                    color: $default-heading-color;
                    .product-title {
                        font-size: 14px;
                        line-height: 1.57em;
                        font-weight: 600;
                        padding-bottom: 4px;
                    }

                    &:hover {
                        color: $first-main-color;
                    }
                }
                
                .amount {
                    color: $first-main-color;
                    font-weight: 700;
                    font-family: $default-heading-font;
                    font-size: 12px;
                }
            }
        }
    }
    
    &.widget_recently_viewed_products {
        
        ul {
            
            li {
                
                del,
                > .amount {
                    display: block;
                    margin-top: 10px;
                }
            }
        }
    }
    
    &.widget_recent_reviews {
        
        ul {
            
            li {
                
                .star-rating {
                    margin-top: 7px;
                    margin-bottom: 10px;
                }
            }
        }
        
        a {
            display: block;
            padding: 0 0 0 102px;
        }
        
        .reviewer {
            display: inline-block;
            vertical-align: middle;
            width: auto;
            clear: both;
        }
    }
    
    &.widget_top_rated_products {
        
        ul {
            
            li {
                
                .star-rating {
                    margin-top: 10px;
                    margin-bottom: 12px;
                }
                
                .amount {
                    display: block;
                }
            }
        }
    }
    
    &.widget_product_tag_cloud {
        
        .tagcloud {
            
            a {
                position: relative;
                display: inline-block;
                vertical-align: middle;
                font-family: inherit;
                background-color: transparent;
                font-size: 14px !important;
                
                &:after {
                    content: '/';
                    color: $default-text-color;
                    margin: 0 0 0 4px;
                }
                
                &:last-child {
                    
                    &:after {
                        display: none;
                    }
                }
            }
        }
    }
    
    &.widget_product_search {
        
        .woocommerce-product-search {
            @include mkdfRelativeHolderLayout();
            clear: both;
            
            > div {
                @include mkdfRelativeHolderLayout();
                border: 1px solid $default-border-color;
                box-sizing: border-box;
            }
            
            input,
            button {
                position: relative;
                display: inline-block;
                vertical-align: top;
                float: left;
                margin: 0;
                height: 44px;
                line-height: 42px;
                color: $default-text-color;
                background-color: transparent;
                border: 0;
                border-radius: 0;
                outline: 0;
                -webkit-appearance: none;
                box-sizing: border-box;
                @include mkdfTransition(color .2s ease-out);
            }
            
            input {
                width: calc(100% - 40px);
                padding: 0 10px 0 20px;
                font-family: inherit;
                font-size: 13px;
    
                @include mkdfPlaceholder {
                    color: inherit;
                }
            }
            
            button {
                width: 40px;
                padding: 0 13px 0 4px;
                font-size: 14px;
                cursor: pointer;
                
                &:hover {
                    color: $default-heading-color;
                }
                
                span {
                    display: block;
                    line-height: inherit;
                    
                    &:before {
                        display: block;
                        line-height: inherit;
                    }
                }
            }
        }
    }
}
/* ==========================================================================
   WooCommerce Widgets styles - end
   ========================================================================== */